echo off
cls
if (%1)==() goto Help

if (%1)==(M) goto Manual
if (%1)==(m) goto Manual

if exist frame.exe goto SoftwareInstalled

if exist eng963.exe goto ArchivePresent
echo.
echo    Error ! unable to find the compressed file ENG963.EXE
echo.
echo    If this software was obtained from a shareware library or downloaded
echo    from an electronic service (BBS, FTP etc.) then they may have been
echo    compressed using a different file name
echo.
echo    If this is the case and you have successfully uncompressed the archive
echo    then the software can be run as-is, simply type in FRAME, TRA or
echo    BRISLAB and press return to start the software
echo.
echo    For the latest information about the software run GO.BAT
echo.
goto end


:ArchivePresent
if exist %1:\nul goto DriveExists
echo.
echo           Ŀ
echo                     Invalid drive name was used            
echo           
echo.
echo    Typical useage to install onto hard disk C use ; INSTALL C
echo.
goto end

:DriveExists
if (%1)==(A) goto BadFloppy
if (%1)==(a) goto BadFloppy
if (%1)==(B) goto BadFloppy
if (%1)==(a) goto BadFloppy
goto DriveOK

:BadFloppy
echo.
echo.
echo    Warning ! you have selected a floppy drive to install to, there is
echo    usually not enough room on these disks to extract all files onto
echo.
echo    It is recommended that you install the software onto a hard disk
echo.
echo.
echo    To cancel installation keep the CTRL key pressed down and then press
echo    C, enter Y when prompted to terminate the batch file
echo.
echo    Press any key to continue installing
pause>nul


:DriveOK
if exist %1:\engineer\nul goto AlreadyInstalled
goto InstallNew

:AlreadyInstalled
echo.
echo           Ŀ
echo                 WARNING ! - directory already exists       
echo           
echo.
echo    There is already a directory called %1:\ENGINEER, any existing files in
echo    this directory will be overwritten if you continue
echo.
echo    To cancel installation keep the CTRL key pressed down and then press
echo    C, enter Y when prompted to terminate the batch file
echo.
echo    Press any key to continue installing
echo.
pause>nul
cls

:InstallNew
mkdir %1:\engineer

if exist %1:\engineer\nul goto Install
echo.
echo         Ŀ
echo            Unknown Error Occurred - Software NOT installed   
echo         
echo.
echo    May be invalid drive name, path or disk media
echo.
echo    Please note that this batch file MUST be run from the floppy disk or
echo    directory that contains all the software, you must change to this floppy
echo    drive or directory before using this batch file
echo.
echo.
goto End

:Install
cls
echo.
echo         Ŀ
echo                Installing the Software - please wait            
echo         
copy *.* %1:\engineer
%1:
cd \engineer
eng963
cls

if exist frame.exe goto InstallOK

echo.
echo    Ŀ
echo       Software did NOT install correctly - try a manual installation   
echo    
goto Manual

:InstallOK
echo.
echo           Ŀ
echo                 Software was successfully installed !      
echo           
echo.
echo      To start the program from the DOS prompt you must first change
echo      to %1:\ENGINEER and then type in either FRAME, TRA or BRISLAB and
echo      press return
echo.
echo      If you are using a GUI or other shell then the working or default
echo      directory must be set to %1:\ENGINEER or you must change to this
echo      directory before starting the software
echo.
goto End

:SoftwareInstalled
echo.
echo  Software already Installed
echo  
echo    It appears that the software is installed in the current directory and
echo    does not require installing !  Start the software by typing in FRAME, TRA
echo    or BRISLAB and then press RETURN
echo.
goto Manual

:Help
echo.
echo                          
echo        ۰      ߰  ߰         
echo        ܰ                       
echo            ߰            ߰         
echo                               
echo                                        
echo.
echo    Use INSTALL DriveName, for example, to install to a C drive use - INSTALL C
echo.
echo    DriveName is the letter of the drive to install to, a directory called
echo    \ENGINEER will be made on this drive and the software installed into it.
echo.
echo    Do NOT run the compressed file ENG963.EXE directly off the floppy disk as
echo    there will probably not be enough space to extract all files
echo.
echo    If you want to install into a directory other than \ENGINEER then please
echo    follow the manual instructions below
echo.
echo  Manual Installation
echo  
echo    To see the manual install instructions type in - INSTALL M
echo.
goto end

:Manual
echo  Manual Installation
echo  
echo    Make a directory on the desired destination drive, copy all files from
echo    this disk (or directory) to the new directory, change to this directory
echo    and then start the software
echo.
echo    For example, to copy the files onto a hard disk called C and into a new
echo    directory called ENGINEER use -
echo.
echo                    MD C:\ENGINEER
echo                    COPY *.* C:\ENGINEER
echo                    C:
echo                    CD \ENGINEER
echo                    ENG963
echo.
echo    After typing in each line press RETURN to start that command, this also
echo    also assumes that the files to be copied are in the current directory

:end

